/*
 * Copyright (c) 1999 Johnny C. Lam.
 * All rights reserved.
 *
 * Permission to use, copy, modify, distribute and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear
 * in supporting documentation.  The author makes no representations
 * about the suitability of this software for any purpose.  It is
 * provided "as is" without express or implied warranty.
 */

// -*- C++ -*-

inline
SegmentProbability::~SegmentProbability()
{}

inline
SegmentProbability::SegmentProbability(bool verbose)
    : _verbose(verbose)
{}

inline
probability
SegmentProbability::NAProbability() const
{
    return 1.0;
}

inline
bool
SegmentProbability::Verbose() const
{
    return _verbose;
}
